# Enum SignatureScheme

java.lang.Object
java.lang.Enum<SignatureScheme>
org.apache.tomcat.util.net.openssl.ciphers.SignatureScheme

All Implemented Interfaces:
  `Serializable, Comparable<SignatureScheme>, java.lang.constant.Constable`

public enum SignatureScheme extends Enum<SignatureScheme>
All the signature schemes for TLS 1.3.

See Also:
  - The signature schemes registry

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ecdsa_secp256r1_sha256`
`ecdsa_secp384r1_sha384`
`ecdsa_secp521r1_sha512`
`ecdsa_sha1`
`ed25519`
`ed448`
`mldsa44`
`mldsa65`
`mldsa87`
`rsa_pkcs1_sha1`
`rsa_pkcs1_sha256`
`rsa_pkcs1_sha384`
`rsa_pkcs1_sha512`
`rsa_pss_pss_sha256`
`rsa_pss_pss_sha384`
`rsa_pss_pss_sha512`
`rsa_pss_rsae_sha256`
`rsa_pss_rsae_sha384`
`rsa_pss_rsae_sha512`
`slhdsa_sha2_128f`
`slhdsa_sha2_128s`
`slhdsa_sha2_192f`
`slhdsa_sha2_192s`
`slhdsa_sha2_256f`
`slhdsa_sha2_256s`
`slhdsa_shake_128f`
`slhdsa_shake_128s`
`slhdsa_shake_192f`
`slhdsa_shake_192s`
`slhdsa_shake_256f`
`slhdsa_shake_256s`
`sm2sig_sm3`

## Method Summary

Modifier and Type
Method
Description
`Authentication`
`getAuth()`
`int`
`getId()`
`static SignatureScheme`
`valueOf(int schemeId)`
Returns the enum constant of this type with the specified name.
`static SignatureScheme`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SignatureScheme[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### rsa_pkcs1_sha256

public static final SignatureScheme rsa_pkcs1_sha256

### rsa_pkcs1_sha384

public static final SignatureScheme rsa_pkcs1_sha384

### rsa_pkcs1_sha512

public static final SignatureScheme rsa_pkcs1_sha512

### ecdsa_secp256r1_sha256

public static final SignatureScheme ecdsa_secp256r1_sha256

### ecdsa_secp384r1_sha384

public static final SignatureScheme ecdsa_secp384r1_sha384

### ecdsa_secp521r1_sha512

public static final SignatureScheme ecdsa_secp521r1_sha512

### rsa_pss_rsae_sha256

public static final SignatureScheme rsa_pss_rsae_sha256

### rsa_pss_rsae_sha384

public static final SignatureScheme rsa_pss_rsae_sha384

### rsa_pss_rsae_sha512

public static final SignatureScheme rsa_pss_rsae_sha512

### ed25519

public static final SignatureScheme ed25519

### ed448

public static final SignatureScheme ed448

### rsa_pss_pss_sha256

public static final SignatureScheme rsa_pss_pss_sha256

### rsa_pss_pss_sha384

public static final SignatureScheme rsa_pss_pss_sha384

### rsa_pss_pss_sha512

public static final SignatureScheme rsa_pss_pss_sha512

### rsa_pkcs1_sha1

public static final SignatureScheme rsa_pkcs1_sha1

### ecdsa_sha1

public static final SignatureScheme ecdsa_sha1

### mldsa44

public static final SignatureScheme mldsa44

### mldsa65

public static final SignatureScheme mldsa65

### mldsa87

public static final SignatureScheme mldsa87

### slhdsa_sha2_128s

public static final SignatureScheme slhdsa_sha2_128s

### slhdsa_sha2_128f

public static final SignatureScheme slhdsa_sha2_128f

### slhdsa_sha2_192s

public static final SignatureScheme slhdsa_sha2_192s

### slhdsa_sha2_192f

public static final SignatureScheme slhdsa_sha2_192f

### slhdsa_sha2_256s

public static final SignatureScheme slhdsa_sha2_256s

### slhdsa_sha2_256f

public static final SignatureScheme slhdsa_sha2_256f

### slhdsa_shake_128s

public static final SignatureScheme slhdsa_shake_128s

### slhdsa_shake_128f

public static final SignatureScheme slhdsa_shake_128f

### slhdsa_shake_192s

public static final SignatureScheme slhdsa_shake_192s

### slhdsa_shake_192f

public static final SignatureScheme slhdsa_shake_192f

### slhdsa_shake_256s

public static final SignatureScheme slhdsa_shake_256s

### slhdsa_shake_256f

public static final SignatureScheme slhdsa_shake_256f

### sm2sig_sm3

public static final SignatureScheme sm2sig_sm3

## Method Details

### values

public static SignatureScheme[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SignatureScheme valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public int getId()

Returns:
  the id

### getAuth

public Authentication getAuth()

Returns:
  the auth

### valueOf

public static SignatureScheme valueOf(int schemeId)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `schemeId` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null